<script lang="ts">
	import Card from '$lib/components/Card.svelte';
	import { CardStatus, CardVariant } from '$lib/types/card';
	import ComponentCombiner from '$lib/components/docs/ComponentCombiner.svelte';

	const allOptions = [
		Object.keys(CardVariant).map((key) => 'CardVariant.' + key),
		Object.keys(CardStatus).map((key) => 'CardStatus.' + key)
	];
</script>

<svelte:head>
	<title>Card - Components</title>
</svelte:head>

<div class="content">
	<h1>Components - Card</h1>

	<h2>All variants</h2>
	<ComponentCombiner
		variants={allOptions}
		variantsPrefix={'Card'}
		component={Card}
		componentSelector={'Card'}
		enums={{ CardStatus, CardVariant }}
	>
		<div class="icon">👋</div>
		<h2 class="title">My card title</h2>
		<p>
			Integration with cloud services such as OneDrive, Google Drive, and iCloud allow you to manage
			your documents and photos in the cloud, right from the sidebar.
		</p>
	</ComponentCombiner>
</div>

<style>
</style>
